%define name UI-All
%define version 0.00

%define __find_provides %( echo -n /usr/lib/rpm/find-provides && [ -x /usr/lib/rpm/find-provides.perl ] && echo .perl )
%define __find_requires %( echo -n /usr/lib/rpm/find-requires && [ -x /usr/lib/rpm/find-requires.perl ] && echo .perl )

Summary:        @SUMMARY@
Name:           %{name}
Version:        %{version}
Release:        1
Source0:        http://seamons.com/projects/ui/%{name}-%{version}.tar.gz
Group:          Development/Perl
License:        Perl Artistic
Vendor:         Paul Seamons
Packager:       Paul Seamons
BuildRequires:  perl
BuildArch:      noarch
BuildRoot:      %{_tmppath}/%{name}-%{version}-buildroot
Provides:       %{name} = %{version}

%description
Perl UI::All is a unified interface to many of the different GUI (and non-GUI)
tool kits used for creating User Interfaces.  The goal is that rather
than learning each of the different tool kit interfaces, a developer can
learn the Perl UI interface which will let them code once, and then use
their application on multiple platforms with any of the available toolkits.

%prep
%setup -q -n %{name}-%{version}

%build
%{__perl} Makefile.PL
%{__make} OPTIMIZE="$RPM_OPT_FLAGS"

%install
rm -rf $RPM_BUILD_ROOT

# do the build
%{makeinstall} PREFIX=$RPM_BUILD_ROOT%{_prefix}
#if [ -x /usr/lib/rpm/brp-mandrake ] ; then
#  /usr/lib/rpm/brp-mandrake
#elif [ -x /usr/lib/brp-compress ] ; then
#  /usr/lib/rpm/brp-compress
#fi

# Clean up some files we don't want/need
find $RPM_BUILD_ROOT%{_prefix} -type d | tac | xargs rmdir --ign
find $RPM_BUILD_ROOT%{_prefix} | grep i386 | tac | xargs rm -rf

%clean
rm -rf $RPM_BUILD_ROOT
HERE=`pwd`
cd ..
rm -rf $HERE

%files
%defattr(-,root,root)
#%doc README Changes
%{_prefix}

%changelog
* Fri Dec 17 2004 Paul Seamons <>
- first try
