#!/usr/bin/perl -w

use strict;
use UI::All;

my $mw     = UI::All->MainWindow(title => "Run 1");
my $vbox   = $mw->LayoutVBox;
my $label  = $vbox->Label( text    => 'Hello, world!');
my $button = $vbox->Button(text    => 'Quit',
                           clicked => sub { $mw->exit_loop },
                           );
$mw->main_loop;
exit;

# OR #
{
my $mw   = UI::All->MainWindow(title => "Run 2");
my $vbox = $mw->LayoutVBox;
$vbox->Label( text    => 'Hello, world (2)!');
$vbox->Button(text    => 'Quit',
              clicked => [$mw => 'exit_loop'],
              );
$mw->main_loop;
exit;
}
# OR #
{
my $mw = UI::All->MainWindow(title => "Run 3");
$mw->Label( text    => 'Hello, world (3)!');
$mw->Button(text    => 'Quit',
            clicked => [exit_loop => $mw]);
$mw->main_loop;
exit;
}
# OR #
{
my $mw = UI::All->MainWindow(title => "Run 4");
$mw->Label( text    => 'Hello, world (4)!');
my $button = $mw->Button(text    => 'Quit');
$button->attach(clicked => sub { $mw->exit_loop });
$mw->main_loop;
}
