#!/usr/bin/perl -w

use strict;
use UI::All;

my $mw       = UI::All->MainWindow(title => "Run 1");
my $hbox     = $mw->LayoutVBox;
my $label    = $mw->Label(text => "File:");
my $lineedit = $mw->LineEdit;
my $button1  = $mw->Button(text    => 'Browse...',
                           clicked => sub {
                              my $file = $mw->FileDialog(file   => 'foo.file',
                                                         action => 'open_file',
                                                         )->get_filename;
                              $lineedit->set_text(defined($file) ? $file : '');
                           });
my $button2  = $hbox->Button(text    => 'Quit',
                             clicked => [exit_loop => $mw],
                             );
$mw->main_loop;
exit;
