#!/usr/bin/perl -w

use strict;
use UI::All;

my $mw     = UI::All->MainWindow(title => "Spreadsheet");
my $vbox   = $mw->LayoutVBox;
my $edit   = $vbox->LineEdit;
my $table  = $vbox->Table(cols => 10, rows => 100);
my $hbox   = $vbox->LayoutHBox;
$table->set_text(0, 0, 'foo');
$table->set_text(8, 0, 'foo');
$table->set_text(9, 1, 'foo');
$table->set_text(10, 2, 'foo');

$edit->attach('changed', sub { $table->set_text(0, 0, shift) });

$hbox->Button(text    => 'Do Something',
              clicked => sub { print "hello".$table->text(0,0)."\n" },
              );
$hbox->Button(text    => 'Quit',
              clicked => sub { $mw->exit_loop },
              );

$table->set_text(2, 0, "foo bar");
print $table->text(2, 0)."\n";

$mw->main_loop;
exit;
