#!/usr/bin/perl -w

use strict;
use UI::All;

my $mw       = UI::All->MainWindow(title => "Run 1");
my $vbox     = $mw->LayoutVBox;
my $lineedit = $vbox->LineEdit(text => "Hellow, world (1)");
my $textedit = $vbox->TextEdit(text => "Hellow, world (2)");
my $hbox     = $vbox->LayoutHBox;
my $button1  = $hbox->Button(text    => 'Clear Line',
                             clicked => sub { $lineedit->set_text('') },
                             );
my $button2  = $hbox->Button(text    => 'Clear Text',
                             clicked => sub { $textedit->set_text('') },
                             );
my $button3  = $hbox->Button(text    => 'Quit',
                             clicked => [exit_loop => $mw],
                             );
$lineedit->attach('changed', sub { $textedit->set_text($lineedit->text) });
#$edit2->attach('return_pressed', sub { print "Hi\n" });

$mw->main_loop;
exit;
