#!/usr/bin/perl -w

use strict;
use Qt;

{
  package MyWin;
  use Qt::isa qw(Qt::Widget);
  use Qt::slots
    slot_button_clicked => [];
  sub slot_button_clicked { this->close }
}

MyWin->import;

my $app = Qt::Application(\@ARGV);
my $mw  = MyWin('toplevel');

my $vbox = Qt::VBoxLayout($mw, 0, -1, 'myname');

my $label  = Qt::Label('Hello, world!', $mw);
my $button = Qt::PushButton('Quit', $mw);

$mw->connect($button, SIGNAL('clicked()'), SLOT('slot_button_clicked()'));

$vbox->addWidget($label);
$vbox->addWidget($button);

$mw->show;
$app->setMainWidget($mw);
$app->exec;




