#!/usr/bin/perl
# see perldoc Tk::mega
# http://perlmonks.org/?node_id=420218

use Tk;
use strict;

{
  package MyButton;

  use base qw(Tk::Derived Tk::Button);
  Tk::Widget->Construct('MyButton');

  sub Populate {
    my ($self, $args) = @_;
    $self->SUPER::Populate($args);
    $self->bind('<Enter>', sub{print "Entered a MyButton\n"});
  }
}

my $mw = MainWindow->new;
$mw->Button(-text => 'NormalButton')->pack;
$mw->MyButton(-text => 'MyButton')->pack;

Tk->MainLoop;
